### Method

# Goa Files set_uri

since: 3.8.0

#### Declaration [src]

    void
    goa_files_set_uri (
      GoaFiles* object,
      const gchar* value
    )

#### Description [src]

Sets the “Uri” D-Bus property to `value`.

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

Available since: 3.8.0

This method is not directly available to language bindings.

Sets property | `Goa.Files:uri`

#### Parameters

`value`

  Type: `const gchar*`

  The value to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.